// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.6.1
// source: Prods.proto

package pb

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type ProModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ProdId    int32  `protobuf:"varint,1,opt,name=ProdId,proto3" json:"ProdId,omitempty"`
	ProddName string `protobuf:"bytes,2,opt,name=ProddName,proto3" json:"ProddName,omitempty"`
}

func (x *ProModel) Reset() {
	*x = ProModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_Prods_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProModel) ProtoMessage() {}

func (x *ProModel) ProtoReflect() protoreflect.Message {
	mi := &file_Prods_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProModel.ProtoReflect.Descriptor instead.
func (*ProModel) Descriptor() ([]byte, []int) {
	return file_Prods_proto_rawDescGZIP(), []int{0}
}

func (x *ProModel) GetProdId() int32 {
	if x != nil {
		return x.ProdId
	}
	return 0
}

func (x *ProModel) GetProddName() string {
	if x != nil {
		return x.ProddName
	}
	return ""
}

type ProdsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Size int32 `protobuf:"varint,1,opt,name=size,proto3" json:"size,omitempty"`
}

func (x *ProdsRequest) Reset() {
	*x = ProdsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_Prods_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProdsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProdsRequest) ProtoMessage() {}

func (x *ProdsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_Prods_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProdsRequest.ProtoReflect.Descriptor instead.
func (*ProdsRequest) Descriptor() ([]byte, []int) {
	return file_Prods_proto_rawDescGZIP(), []int{1}
}

func (x *ProdsRequest) GetSize() int32 {
	if x != nil {
		return x.Size
	}
	return 0
}

type ProdsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []*ProModel `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
}

func (x *ProdsResponse) Reset() {
	*x = ProdsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_Prods_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProdsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProdsResponse) ProtoMessage() {}

func (x *ProdsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_Prods_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProdsResponse.ProtoReflect.Descriptor instead.
func (*ProdsResponse) Descriptor() ([]byte, []int) {
	return file_Prods_proto_rawDescGZIP(), []int{2}
}

func (x *ProdsResponse) GetData() []*ProModel {
	if x != nil {
		return x.Data
	}
	return nil
}

var File_Prods_proto protoreflect.FileDescriptor

var file_Prods_proto_rawDesc = []byte{
	0x0a, 0x0b, 0x50, 0x72, 0x6f, 0x64, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x02, 0x70,
	0x62, 0x22, 0x40, 0x0a, 0x08, 0x50, 0x72, 0x6f, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x16, 0x0a,
	0x06, 0x50, 0x72, 0x6f, 0x64, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x06, 0x50,
	0x72, 0x6f, 0x64, 0x49, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x50, 0x72, 0x6f, 0x64, 0x64, 0x4e, 0x61,
	0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x50, 0x72, 0x6f, 0x64, 0x64, 0x4e,
	0x61, 0x6d, 0x65, 0x22, 0x22, 0x0a, 0x0c, 0x50, 0x72, 0x6f, 0x64, 0x73, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x05, 0x52, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x22, 0x31, 0x0a, 0x0d, 0x50, 0x72, 0x6f, 0x64, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x20, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x70, 0x62, 0x2e, 0x50, 0x72, 0x6f, 0x4d,
	0x6f, 0x64, 0x65, 0x6c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x32, 0x45, 0x0a, 0x0c, 0x50, 0x72,
	0x6f, 0x64, 0x73, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x35, 0x0a, 0x0c, 0x47, 0x65,
	0x74, 0x50, 0x72, 0x6f, 0x64, 0x73, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x10, 0x2e, 0x70, 0x62, 0x2e,
	0x50, 0x72, 0x6f, 0x64, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x11, 0x2e, 0x70,
	0x62, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x00, 0x42, 0x0a, 0x5a, 0x08, 0x2e, 0x2e, 0x2f, 0x70, 0x62, 0x3b, 0x70, 0x62, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_Prods_proto_rawDescOnce sync.Once
	file_Prods_proto_rawDescData = file_Prods_proto_rawDesc
)

func file_Prods_proto_rawDescGZIP() []byte {
	file_Prods_proto_rawDescOnce.Do(func() {
		file_Prods_proto_rawDescData = protoimpl.X.CompressGZIP(file_Prods_proto_rawDescData)
	})
	return file_Prods_proto_rawDescData
}

var file_Prods_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_Prods_proto_goTypes = []interface{}{
	(*ProModel)(nil),      // 0: pb.ProModel
	(*ProdsRequest)(nil),  // 1: pb.ProdsRequest
	(*ProdsResponse)(nil), // 2: pb.ProdsResponse
}
var file_Prods_proto_depIdxs = []int32{
	0, // 0: pb.ProdsResponse.data:type_name -> pb.ProModel
	1, // 1: pb.ProdsService.GetProdsList:input_type -> pb.ProdsRequest
	2, // 2: pb.ProdsService.GetProdsList:output_type -> pb.ProdsResponse
	2, // [2:3] is the sub-list for method output_type
	1, // [1:2] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_Prods_proto_init() }
func file_Prods_proto_init() {
	if File_Prods_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_Prods_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_Prods_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProdsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_Prods_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProdsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_Prods_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_Prods_proto_goTypes,
		DependencyIndexes: file_Prods_proto_depIdxs,
		MessageInfos:      file_Prods_proto_msgTypes,
	}.Build()
	File_Prods_proto = out.File
	file_Prods_proto_rawDesc = nil
	file_Prods_proto_goTypes = nil
	file_Prods_proto_depIdxs = nil
}
